clang 10.0.0git

Public Member Functions | List of all members
clang::CodeGen::CGCalleeInfo Class Reference

Abstract information about a function or function prototype. More...

`#include "/work/www-prereleases/10.0.0/rc1/docsbuild/clang/lib/CodeGen/CGCall.h"`

## Public Member Functions
| CGCalleeInfo ()
| CGCalleeInfo (const FunctionProtoType *calleeProtoTy, GlobalDecl calleeDecl)
| CGCalleeInfo (const FunctionProtoType *calleeProtoTy)
| CGCalleeInfo (GlobalDecl calleeDecl)
const FunctionProtoType * | getCalleeFunctionProtoType () const
const GlobalDecl | getCalleeDecl () const

## Detailed Description

Abstract information about a function or function prototype.

Definition at line 44 of file CGCall.h.

## Constructor & Destructor Documentation

## ◆ CGCalleeInfo() [1/4]

clang::CodeGen::CGCalleeInfo::CGCalleeInfo | ( |  | ) |
| inline explicit

Definition at line 51 of file CGCall.h.

## ◆ CGCalleeInfo() [2/4]

clang::CodeGen::CGCalleeInfo::CGCalleeInfo | ( | const FunctionProtoType * | calleeProtoTy,
|  | GlobalDecl | calleeDecl
| ) |  |
| inline

Definition at line 52 of file CGCall.h.

## ◆ CGCalleeInfo() [3/4]

clang::CodeGen::CGCalleeInfo::CGCalleeInfo | ( | const FunctionProtoType * | calleeProtoTy | ) |
| inline

Definition at line 54 of file CGCall.h.

## ◆ CGCalleeInfo() [4/4]

clang::CodeGen::CGCalleeInfo::CGCalleeInfo | ( | GlobalDecl | calleeDecl | ) |
| inline

Definition at line 56 of file CGCall.h.

## Member Function Documentation

## ◆ getCalleeDecl()

const GlobalDecl clang::CodeGen::CGCalleeInfo::getCalleeDecl | ( |  | ) | const
| inline

Definition at line 62 of file CGCall.h.

Referenced by clang::CodeGen::CodeGenModule::ConstructAttributeList(), and clang::CodeGen::CodeGenFunction::EmitCall().

## ◆ getCalleeFunctionProtoType()

const FunctionProtoType* clang::CodeGen::CGCalleeInfo::getCalleeFunctionProtoType | ( |  | ) | const
| inline

Definition at line 59 of file CGCall.h.

Referenced by clang::CodeGen::CodeGenModule::ConstructAttributeList().

The documentation for this class was generated from the following file:

- lib/CodeGen/CGCall.h